Cyberduck Mountain Duck CLI

#11548 closed defect (fixed)

MD5 mismatch error for uploads to Oracle Object Storage replacing object

Reported by: Trianglehead Owned by: dkocher
Priority: highest Milestone: 7.8.2
Component: s3 Version: 7.8.1
Severity: blocker Keywords:
Cc: Architecture:
Platform: Windows 10

Description

I think cyber duck is trying to access my bucket like "<bucketName>.<namespace>.compat.objectstorage.us-phoenix-1.oraclecloud.com" And Oracle doesn't support that anymore they only support path based. So Cyber duck no longer works with Oracle Object Storage. And gives a certificate error of trying to access this domain "<bucketName>.<namespace>.compat.objectstorage.us-phoenix-1.oraclecloud.com".

"The application must use path -based access. Virtual host-style access (accessing a bucket as bucketname.namespace.compat.objectstorage.region.oraclecloud.com) is not supported." - https://docs.oracle.com/en-us/iaas/Content/Object/Tasks/s3compatibleapi.htm

Attachments (2)

Screenshot 2021-01-17 075441.jpg (245.4 KB) - added by Trianglehead on Jan 17, 2021 at 2:55:44 PM.
Screenshot 2021-01-18 084135.jpg (248.1 KB) - added by Trianglehead on Jan 18, 2021 at 3:42:06 PM.

Download all attachments as: .zip

Change History (20)

comment:1 Changed on Jan 17, 2021 at 10:31:00 AM by dkocher

  • Milestone set to 8.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Jan 17, 2021 at 10:34:52 AM by dkocher

We have documented a temporary workaround in Disable use of virtual host style requests.

comment:3 Changed on Jan 17, 2021 at 10:36:57 AM by dkocher

Relates to #10956.

comment:4 Changed on Jan 17, 2021 at 2:38:09 PM by Trianglehead

That works on OCI, even when not in Home Region(Cloudberry only works if you connect to Obj Storage in Home Region), confirmed and thx!

Last edited on Jan 17, 2021 at 2:38:45 PM by Trianglehead (previous) (diff)

Changed on Jan 17, 2021 at 2:55:44 PM by Trianglehead

comment:5 Changed on Jan 17, 2021 at 2:58:12 PM by Trianglehead

However, when you try to editor a text file and it autouploads. It creates this error message.

Last edited on Jan 17, 2021 at 7:56:15 PM by dkocher (previous) (diff)

comment:6 Changed on Jan 18, 2021 at 9:59:18 AM by dkocher

We will need to update profiles referenced in Oracle Cloud Infrastructure with a new option to disable virtual host style requests.

comment:7 Changed on Jan 18, 2021 at 10:27:32 AM by dkocher

  • Milestone changed from 8.0 to 7.8.2

comment:8 Changed on Jan 18, 2021 at 12:38:28 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r50494.

Changed on Jan 18, 2021 at 3:42:06 PM by Trianglehead

comment:9 Changed on Jan 18, 2021 at 3:43:18 PM by Trianglehead

  • Resolution fixed deleted
  • Status changed from closed to reopened

Still does not work when open a text file and change it, then save it. Cyberduck will try to upload the changed file and get error:

Last edited on Jan 19, 2021 at 10:59:26 AM by dkocher (previous) (diff)

comment:10 follow-up: Changed on Jan 19, 2021 at 11:40:21 AM by dkocher

The MD5 mismatch error seems strange to me as we should not send any MD5 checksum with the request. Would it be possible to get a temporary account for testing as I am unable to activate the service successfully here.

comment:11 in reply to: ↑ 10 ; follow-up: Changed on Jan 19, 2021 at 11:52:16 AM by Trianglehead

Replying to dkocher:

The MD5 mismatch error seems strange to me as we should not send any MD5 checksum with the request. Would it be possible to get a temporary account for testing as I am unable to activate the service successfully here.

Yes. But can you give me an email address to do this privately?

comment:12 in reply to: ↑ 11 Changed on Jan 19, 2021 at 12:30:40 PM by dkocher

Replying to Trianglehead:

Replying to dkocher:

The MD5 mismatch error seems strange to me as we should not send any MD5 checksum with the request. Would it be possible to get a temporary account for testing as I am unable to activate the service successfully here.

Yes. But can you give me an email address to do this privately?

Awesome. Please write to [support@cyberduck.io].

comment:13 Changed on Jan 23, 2021 at 9:13:36 AM by dkocher

  • Summary changed from Oracle Object Storage no longer supports subdomain bucket access to MD5 mismatch error for uploads to Oracle Object Storage replacing object

comment:14 Changed on Jan 23, 2021 at 9:19:44 AM by yla

  • Resolution set to fixed
  • Status changed from reopened to closed

In r50523.

comment:15 Changed on Jan 23, 2021 at 5:32:47 PM by Trianglehead

Amazing! Thanks! When can I get the update?

comment:16 Changed on Jan 24, 2021 at 9:13:55 AM by dkocher

Can you please try if still see this issue with the current snapshot build by updating from within Cyberduck in Preferences → Update → Automatically check for updates in → Snapshot Builds.

comment:17 follow-up: Changed on Jan 24, 2021 at 3:54:39 PM by Trianglehead

It works! Verified! thx so much!

comment:18 in reply to: ↑ 17 Changed on Jan 24, 2021 at 7:06:58 PM by dkocher

Replying to Trianglehead:

It works! Verified! thx so much!

Thanks you for confirming the fix.

Note: See TracTickets for help on using tickets.